/* Utilisation du ++ et du --                    */

public class ExempleIncrementationEnConsole {

///////////////////////////////////////////////////

  /* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("ExempleIncrementation");
    int i;
    char c;
    double d;
    /* Utilisation des opérateurs addition       */
    /* et soustraction classiques                */
    for ( i = 0 ; i < 10 ; i = i+1 ) {
      Console.formater("%3d",i); }
    Console.sautDeLigne();
    for ( i = 9 ; i >= 0 ; i = i-1 ) {
      Console.formater("%3d",i); }
    Console.sautDeLigne();
    Console.sautDeLigne();
    /* Utilisation du ++ et du --                */
    for ( i = 0 ; i < 10 ; i++ ) {
      Console.formater("%3d",i); }
    Console.sautDeLigne();
    for ( i = 9 ; i >= 0 ; i-- ) {
      Console.formater("%3d",i); }
    Console.sautDeLigne();
    Console.sautDeLigne();
    c = 'a';
    Console.afficher(c," ");
    c++;
    Console.afficherln(c);
    d = 1.0;
    Console.afficher(d," ");
    d++;
    Console.afficherln(d);
  }

///////////////////////////////////////////////////
}